<?php
/*
Plugin Name: WPML HyperDB
Description: Add support for HyperDB used with WPML
Author: OnTheGoSystems
Author URI: http://www.onthegosystems.com/
Version: 1.0.1
Plugin Slug: wpml-hyperdb
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( defined( 'WPML_HYPERDB_VERSION' ) ) {
	return;
}

define( 'WPML_HYPERDB_VERSION', '1.0.1' );
define( 'WPML_HYPERDB_PATH', dirname( __FILE__ ) );

$autoloader_dir = WPML_HYPERDB_PATH . '/vendor';
if ( version_compare( PHP_VERSION, '5.3.0' ) >= 0 ) {
	$autoloader = $autoloader_dir . '/autoload.php';
} else {
	$autoloader = $autoloader_dir . '/autoload_52.php';
}

require_once $autoloader;

new WPML_HyperDB( $wpdb );
